import request from '@/utils/request'

export function list(data) {
    return request({
      url: '/report/selectReport',
      method: 'post',
      data: data
    })
  }
  export function deleteReport(jobId) {
    return request({
      url: '/report/deleteReport?id=' + jobId,
      method: 'get'
    })
  }

  export function updateStatus(data) {
    return request({
      url: '/report/updateStatus',
      method: 'get',
      params: data
    })
  }

  // 获取模型版本信息
  export function getModelVersion(id) {
    return request({
      url: `ModelVersion/finbyid?id=${id}`,
      method: 'get',
    })
  }
  // 获取模型版本信息
  export function getModelInfo(id) {
    return request({
      url: `model/selectModelById?id=${id}`,
      method: 'get',
    })
  }


  // 获取模型版本信息
  export function getModeWorkFlowVersion(id) {
    return request({
      url: `WorkFlowVersion/selectVersionByWorkId?workId=${id}`,
      method: 'get',
    })
  }
  // 获取模型版本信息
  export function getModeWorkFlowInfo(id) {
    return request({
      url: `WorkFlow/selectWorkFlowById?id=${id}&type=1`,
      method: 'get',
    })
  }